<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There area two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router what URI segments to use if those provided
| in the URL cannot be matched to a valid route.
|
*/

$route['default_controller'] = "user/main";
$route['404_override'] = '_404';

$route['admin'] = 'admin/main';
$route['admin/worker'] = 'admin/worker';
$route['admin/logout'] = 'admin/logout';
$route['admin/auth'] = 'admin/auth';
$route['admin/(:any)'] = 'admin/main/$1';

$route['prihlasit'] = 'user/auth';
$route['prihlasit/(:any)'] = 'user/auth/$1';
$route['registrovat'] = 'user/auth/registrovat';
$route['odhlasit'] = 'user/logout';
$route['o-stranke'] = 'user/about';
$route['napiste-nam'] = 'user/contact_us';
$route['tiket'] = 'user/ticket';
$route['tiket/(:any)'] = 'user/ticket/$1';
$route['ucet'] = 'user/account';
$route['ucet/(:any)'] = 'user/account/$1';


/* End of file routes.php */
/* Location: ./application/config/routes.php */