<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Contact_us extends MY_Controller
{

    function __construct()
    {
        parent::__construct(null, false);
    }

    public function index()
    {

        if ($this->input->post('send_contactus')) {

            $this->load->library('result_verification');

            if ($this->flexi_auth->is_logged_in()) {
                $_POST['your_email'] = $this->flexi_auth->get_user_identity();
            }

            $this->form_validation->set_rules('your_name', 'Vaše meno', 'required|max_length[50]');
            $this->form_validation->set_rules('your_email', 'Váš e-mail', 'required|valid_email|max_length[100]');
            $this->form_validation->set_rules('your_text', 'Text správy', 'required|max_length[1000]');
            $this->form_validation->set_rules('math_captcha', 'Kontrolná otázka', 'required|validate_math_captcha[' . $this->input->post('math_captcha') . ']');


            if ($this->form_validation->run() == TRUE) {

                $data['name'] = $this->input->post('your_name');
                $data['email'] = $this->input->post('your_email');
                $data['text'] = $this->input->post('your_text');

                $message = $this->load->view('includes/email/contact.tpl.php', $data, TRUE);

                $this->email->clear(true);
                $this->email->initialize(array('mailtype' => $this->auth->email_settings['email_type']));
                $this->email->set_newline("\r\n");
                $this->email->from($this->config->item('email_from'));
//                $this->email->from($data['email']);
                $this->email->reply_to($data['email']);
                $this->email->to($this->config->item('email_from'));
                $this->email->subject('Správa z kontaktného formulára [' . $this->config->item('email_title') . ']');
                $this->email->message($message);

                $this->email->attach('./assets/img/logo.gif', 'inline', 'logo');

                $res = $this->email->send();

                if ($res) {
                    $this->session->set_flashdata('info', 'Vaša správa bola úspešne odoslaná.');
                } else {
                    $this->session->set_flashdata('error', 'Pri odosielaní Vašej správy sa vyskytla chyba.');
                }

                redirect('napiste-nam');

            }
        }

        $data['captcha'] = $this->flexi_auth->math_captcha(FALSE);

        $data['title'] = 'Napíšte nám';

        $this->master_view('user/contact', $data, 'contact');
    }
}