<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

class Result_verification
{
    public function __construct()
    {
        $this->CI =& get_instance();

        $this->CI->load->model('ticket_model');

    }

    /**
     * vrati vysledky loterii pre dany ticket
     * jednotlive vysledky sa kontroluju v pohlade pre dany ticket
     *
     * @param $ticket_id
     * @return mixed
     */
    public function get_ticket_results($ticket_id)
    {
        $ticket = $this->CI->ticket_model->get_ticket($ticket_id);

        $lottery_days = explode(';', $ticket['what_days']);

        $times = array_sum(explode(';', $ticket['times']));
        $limit = $times * count($lottery_days);

        $result = $this->CI->ticket_model->get_results_from_day($ticket['date_from'], $ticket['type_id'], $lottery_days, $limit);

        return $result;
    }

    /**
     * zisti pocet zhodnych cisel odzadu
     *
     * @param $tip
     * @param $result
     * @return int
     */
    public function check_sance($tip, $result)
    {
        if (strlen($tip) != strlen($result)) return 0;

        for ($i = 0; $i <= strlen($tip); $i++) {

            $s1 = substr($tip, $i);
            $s2 = substr($result, $i);

            if (stripos($s1, $s2) !== false) {
                return strlen($s1);
            }
        }

        return 0;

    }

    /*
     * zisti ci je tiket stale aktivny
     */
    public function isActive()
    {

        $days = $this->get_all_ticket_days($this->CI->input->post('date_from'), $this->CI->input->post('when'), $this->CI->input->post('times'));

        $last_date = getdate(strtotime($days[count($days) - 1]));
        $last_date = mktime(0, 0, 0, $last_date['mon'], $last_date['mday'], $last_date['year']);
        $today = getdate();
        $today = mktime(0, 0, 0, $today['mon'], $today['mday'], $today['year']);

        if ($last_date >= $today) {
            return 1;
        } else {
            return 0;
        }

    }

    /*
     * vrati zoznam vsetkych zrebovacich dni pre konkretny ticket
     */
    public function get_all_ticket_days($from, $when, $times, $type = 0)
    {

        if (strpos($from, '.') !== false) {
            $tmp = explode('.', $from);
            if (count($tmp) == 3) {
                $from = trim($tmp[1]) . '/' . trim($tmp[0]) . '/' . trim($tmp[2]);
            }
        }

        $first_lottery_date = getdate(strtotime($from));
        //8 = kazdy den, ak nie je nastavene when, plati pre korunku
        $lottery_days = $when ? $when : array('8');

        //ak je korunka, pre view funkciu
        if ($type == 3) {
            $lottery_days = array('8');
        }

        $times = is_array($times) ? array_sum($times) : $times;
        $limit = $times * count($lottery_days);

        $count = 1;
        $last_date = $first_lottery_date;

        $days = array();

        array_push($days, date("Y-m-d", mktime(0, 0, 0, $last_date['mon'], $last_date['mday'], $last_date['year'])));

        while ($count < $limit):
            $last_date = getdate(mktime(0, 0, 0, $last_date['mon'], $last_date['mday'] + 1, $last_date['year']));

            foreach ($lottery_days as $lottery_day) {
                if ($last_date['wday'] == $lottery_day || $lottery_day == 8) {
                    array_push($days, date("Y-m-d", mktime(0, 0, 0, $last_date['mon'], $last_date['mday'], $last_date['year'])));
                    $count++;
                    break;
                }
            }

        endwhile;

        return $days;
    }

    public function send_email($email_to = NULL, $email_title = NULL, $data = NULL, $template = NULL)
    {
        if (empty($email_to) || empty($data) || empty($template)) {
            return FALSE;
        }

        $message = $this->CI->load->view('includes/email/' . $template . '.tpl.php', $data, TRUE);

        $this->CI->email->clear(true);
        $this->CI->email->initialize(array('mailtype' => $this->CI->auth->email_settings['email_type']));
        $this->CI->email->set_newline("\r\n");
        $this->CI->email->from($this->CI->config->item('email_from'), $this->CI->config->item('email_title'));
        $this->CI->email->to($email_to);
//        $this->CI->email->subject($this->CI->config->item('email_title') . " " . $email_title);
        $this->CI->email->subject($email_title);
        $this->CI->email->message($message);

        $this->CI->email->attach('./assets/img/logo.gif', 'inline', 'logo');

        return $this->CI->email->send();
    }

    /**
     * Vrati true ak je tiket vyherny, inak vrati false
     * @param $ticket_id
     * @return bool
     */
    public function check_ticket_result($ticket_id, $last_result = false, $stats = false)
    {
        $ticket_data = $this->CI->ticket_model->get_ticket($ticket_id);
        $from = $ticket_data['date_from'];
        $when = explode(';', $ticket_data['what_days']);
        $times = explode(';', $ticket_data['times']);
        $type_id = $ticket_data['type_id'];
        $result_days = $this->get_all_ticket_days($from, $when, $times, $type_id);

        $count_tips = 0;
        $count_cols = 0;
        $count_intersect = 0;
        $tips_intersect = array();
        $winning = false;
        $winning_cols = 0;

        if ($last_result) {
            $results = $this->CI->ticket_model->get_results($type_id, false, 1);
        } else {
            $results = $this->get_ticket_results($ticket_id);
        }

        switch ($type_id) {
            case 1: //SPORTKA
                $tips = json_decode($ticket_data['tip'], true);
                foreach ($result_days as $key => $day) {
                    foreach ($results as $result) {
                        if ($day == $result['lottery_date']) {
                            foreach ($tips as $key2 => $tip1) {
                                $tip = $tip1['tip'];
                                if (empty($tip)) {
                                    continue;
                                }
                                $already_winning = false;
                                $los = explode(',', $result['tah1']);
                                $inter = array_intersect($tip, array_slice($los, 0, 6));
                                if (count($inter) == 5 && in_array($los[6], $tip)) {
                                    $dc = ' + dodatkové číslo';
                                    $count_intersect++;
                                    $tips_intersect = array_merge($tips_intersect, array($los[6]));
                                } else {
                                    $dc = null;
                                }

                                $count_cols++;
                                $count_tips += count($tip);
                                $count_intersect += count($inter);
                                $tips_intersect = array_merge($tips_intersect, $inter);
                                $tmpintersect = $inter; //pomocna pre zistenie prieniku uhadnutych cisel v 1.a 2. tahu

                                switch (count($inter)) {
                                    case 3:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                            $already_winning = true;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 4:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                            $already_winning = true;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 5:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                            $already_winning = true;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 6:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                            $already_winning = true;
                                        } else {
                                            return true;
                                        }
                                        break;

                                }

                                $los = explode(',', $result['tah2']);
                                $inter = array_intersect($tip, array_slice($los, 0, 6));
                                if (count($inter) == 5 && in_array($los[6], $tip)) {
                                    //dodatkove cislo
                                    $dc = ' + dodatkové';
                                    $count_intersect++;
                                    $tips_intersect = array_merge($tips_intersect, $los[6]);
                                } else {
                                    $dc = null;
                                }

                                $count_intersect += count($inter);
                                $count_intersect -= count(array_intersect($tmpintersect, $inter)); //odpocitanie duplikatov
                                $tips_intersect = array_merge($tips_intersect, $inter);

                                switch (count($inter)) {
                                    case 3:
                                        if ($stats) {
                                            $winning = true;
                                            if (!$already_winning) $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 4:
                                        if ($stats) {
                                            $winning = true;
                                            if (!$already_winning) $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 5:
                                        if ($stats) {
                                            $winning = true;
                                            if (!$already_winning) $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 6:
                                        if ($stats) {
                                            $winning = true;
                                            if (!$already_winning) $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                }

                                $tmp = explode(';', $result['additional']);
                                $sance = $tmp[0];
                                if ($ticket_data['additional']) {
                                    //pocet uhadnutych v sanci
                                    $sc = $this->check_sance($ticket_data['additional'], $sance);

                                    switch ($sc) {
                                        case 1:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 2:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 3:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 4:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 5:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 6:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                    }
                                }
                            }
                        }
                    }
                }
                break;
            case 2: //LOTO
                $tips = json_decode($ticket_data['tip'], true);
                foreach ($result_days as $key => $day) {
                    foreach ($results as $result) {
                        if ($day == $result['lottery_date']) {
                            foreach ($tips as $key2 => $tip1) {
                                $tip = $tip1['tip'];
                                if (empty($tip)) {
                                    continue;
                                }
                                $color = $tip1['color'][0];
                                $los = explode(',', $result['tah1']);
                                $inter = array_intersect($tip, $los);
                                if ($color == $result['tah2']) {
                                    $dc = ' + farba';
                                    $count_intersect++;
                                    $tips_intersect = array_merge($tips_intersect, ($color == 1 ? array('biela') : array('čierna')));
                                } else {
                                    $dc = null;
                                }

                                $count_cols++;
                                $count_tips += count($tip);
                                $count_tips += count($color);
                                $count_intersect += count($inter);
                                $tips_intersect = array_merge($tips_intersect, $inter);

                                switch (count($inter)) {
                                    case 0:
                                        if ($dc) {
                                            if ($stats) {
                                                $winning = true;
                                                $winning_cols++;
                                            } else {
                                                return true;
                                            }
                                        }
                                        break;
                                    case 3:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 4:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 5:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                    case 6:
                                        if ($stats) {
                                            $winning = true;
                                            $winning_cols++;
                                        } else {
                                            return true;
                                        }
                                        break;
                                }

                                $tmp = explode(';', $result['additional']);
                                $sance = $tmp[0];
                                if ($ticket_data['additional']) {
                                    //pocet uhadnutych v sanci
                                    $sc = $this->check_sance($ticket_data['additional'], $sance);
                                    switch ($sc) {
                                        case 1:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 2:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 3:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 4:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 5:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 6:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                        case 7:
                                            if ($stats) {
                                                $winning = true;
                                            } else {
                                                return true;
                                            }
                                            break;
                                    }
                                }
                            }
                        }
                    }
                }
                break;
            case 3: //KORUNKA
                $additional = json_decode($ticket_data['additional'], true);
                $slos = $additional['slos'];
                $tips = json_decode($ticket_data['tip'], true);
                foreach ($result_days as $key => $day) {
                    foreach ($results as $result) {
                        if ($day == $result['lottery_date']) {
                            if (in_array($result['order'], $slos)) {
                                foreach ($tips as $key2 => $tip1) {
                                    $tip = $tip1['tip'];
                                    if (empty($tip)) {
                                        continue;
                                    }
                                    $los = explode(',', $result['tah1']);
                                    $inter = array_intersect($tip, $los);

                                    $count_tips += count($tip);
                                    $count_intersect += count($inter);
                                    $tips_intersect = array_merge($tips_intersect, $inter);

                                    switch (count($inter)) { //pocet uhadnutych cisel
                                        case 1:
                                            switch ($key2) {
                                                case 1:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 2:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 5:
                                                    if (count($tip) == 1) {
                                                        if ($stats) {
                                                            $winning = true;
                                                        } else {
                                                            return true;
                                                        }
                                                    }
                                                    break;
                                            }
                                            break;
                                        case 2:
                                            switch ($key2) {
                                                case 1:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 2:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 3:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 4:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 5:
                                                    if (count($tip) == 2) {
                                                        if ($stats) {
                                                            $winning = true;
                                                        } else {
                                                            return true;
                                                        }
                                                    }
                                                    break;
                                            }
                                            break;
                                        case 3:
                                            switch ($key2) {
                                                case 1:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 2:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 3:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 4:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 5:
                                                    if (count($tip) == 3) {
                                                        if ($stats) {
                                                            $winning = true;
                                                        } else {
                                                            return true;
                                                        }
                                                    }
                                                    break;
                                            }
                                            break;
                                        case 4:
                                            switch ($key2) {
                                                case 2:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 3:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 4:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 5:
                                                    if (count($tip) == 4) {
                                                        if ($stats) {
                                                            $winning = true;
                                                        } else {
                                                            return true;
                                                        }
                                                    }
                                                    break;
                                            }
                                            break;
                                        case 5:
                                            switch ($key2) {
                                                case 3:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 4:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                                case 5:
                                                    if (count($tip) == 5) {
                                                        if ($stats) {
                                                            $winning = true;
                                                        } else {
                                                            return true;
                                                        }
                                                    }
                                                    break;
                                            }
                                            break;
                                        case 6:
                                            switch ($key2) {
                                                case 4:
                                                    if ($stats) {
                                                        $winning = true;
                                                    } else {
                                                        return true;
                                                    }
                                                    break;
                                            }
                                            break;
                                    }
                                }
                            }
                        }
                    }
                }
                break;
        }

        if ($stats) {
            if ($winning) {
                return array(true, $count_tips, $count_intersect, $tips_intersect, $count_cols, $winning_cols);
            } else {
                return array(false, $count_tips, $count_intersect, $tips_intersect, $count_cols, $winning_cols);
            }
        } else {
            return false;
        }
    }

}