<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

class Send_delayed_mail
{
    public function __construct($email_to = NULL, $email_title = NULL, $data = NULL, $template = NULL)
    {
        $this->email_to = $email_to;
        $this->email_title = $email_title;
        $this->data = $data;
        $this->template = $template;
    }

    public function perform()
    {
        $this->send_email($this->email_to, $this->email_title, $this->data, $this->template);
    }

    public function send_email($email_to = NULL, $email_title = NULL, $data = NULL, $template = NULL)
    {
        $this->CI =& get_instance();

        if (empty($email_to) || empty($data) || empty($template)) {
            return FALSE;
        }

        $message = $this->CI->load->view('includes/email/' . $template . '.tpl.php', $data, TRUE);

        $this->CI->email->clear(true);
        $this->CI->email->initialize(array('mailtype' => $this->CI->auth->email_settings['email_type']));
        $this->CI->email->set_newline("\r\n");
        $this->CI->email->from($this->CI->config->item('email_from'), $this->CI->config->item('email_title'));
        $this->CI->email->to($email_to);
        $this->CI->email->subject($email_title);
        $this->CI->email->message($message);

        $this->CI->email->attach('./assets/img/logo.gif', 'inline', 'logo');

        return $this->CI->email->send();

        /*$this->CI->email->clear();
        $this->CI->email->from($this->CI->config->item('email_from'), $this->CI->config->item('email_title'));
        $this->CI->email->to($email_to);
        $this->CI->email->subject($email_title);
        $this->CI->email->message($message);

        return $this->CI->email->send();*/
    }
}