<?php $this->load->view('templates/admin/message', array($message, $error, $info)) ?>

<!-- Main Content -->
<div class="container">
    <h2>Užívateľské účty</h2>

    <nav class="navbar navbar-default" role="navigation">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <span class="navbar-brand" href="#">Filter</span>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse in navbar-collapse">
                <?php echo form_open('', array('class' => 'navbar-form navbar-right', 'role' => 'search')); ?>

                <input type="text" id="search" name="search_query" class="form-control" placeholder="Hľadaj" value="<?php echo set_value('search_users', $search_query); ?>"/>
                <button type="submit" name="search_users" value="Search" class="btn btn-default">Odoslať</button>
                <?php echo anchor('admin/manage_user_accounts', 'Vynulovať', array('class' => 'btn btn-link')) ?>

                </fieldset>
                <?php echo form_close(); ?>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>

    <?php echo form_open(); ?>
    <table class="table table-striped table-hover">
        <thead>
        <tr>
            <th>E-mail</th>
            <th data-toggle="tooltip" title="Indicates the user group the user belongs to.">Skupina</th>
            <th title="If checked, the users account will be locked and they will not be able to login.">Suspendovať účet</th>
            <th title="If checked, the row will be deleted upon the form being updated.">Vymazať</th>
        </tr>
        </thead>
        <?php if (!empty($users)) { ?>
            <tbody>
            <?php foreach ($users as $user) { ?>
                <tr>
                    <td>
                        <?php echo anchor('admin/update_user_account/' . $user[$this->flexi_auth->db_column('user_acc', 'id')], $user[$this->flexi_auth->db_column('user_acc', 'email')]); ?>
                    </td>
                    <td>
                        <?php echo $user[$this->flexi_auth->db_column('user_group', 'name')]; ?>
                    </td>
                    <td>
                        <input type="hidden"
                               name="current_status[<?php echo $user[$this->flexi_auth->db_column('user_acc', 'id')]; ?>]"
                               value="<?php echo $user[$this->flexi_auth->db_column('user_acc', 'suspend')]; ?>"/>
                        <!-- A hidden 'suspend_status[]' input is included to detect unchecked checkboxes on submit -->
                        <input type="hidden"
                               name="suspend_status[<?php echo $user[$this->flexi_auth->db_column('user_acc', 'id')]; ?>]"
                               value="0"/>

                        <input type="checkbox"
                               name="suspend_status[<?php echo $user[$this->flexi_auth->db_column('user_acc', 'id')]; ?>]"
                               value="1" <?php echo ($user[$this->flexi_auth->db_column('user_acc', 'suspend')] == 1) ? 'checked="checked"' : ""; ?>/>
                    </td>
                    <td>
                        <input type="checkbox"
                               name="delete_user[<?php echo $user[$this->flexi_auth->db_column('user_acc', 'id')]; ?>]"
                               value="1"/>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
            <tfoot>
            <tr>
                <td colspan="7">
                    <input type="submit" class="btn btn-default pull-right" name="update_users" value="Suspendovať / Vymazať účet"/>
                </td>
            </tr>
            </tfoot>
        <?php } else { ?>
            <tbody>
            <tr>
                <td colspan="7">
                    No users are available.
                </td>
            </tr>
            </tbody>
        <?php } ?>
    </table>

    <?php if (!empty($pagination['links'])) { ?>
        <div class="text-center">
            <ul class="pagination"><?php echo $pagination['links']; ?></ul>
        </div>
    <?php } ?>

    <?php echo form_close(); ?>
</div>