<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">

    <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>

    <?php if ($_SERVER['SERVER_NAME'] == 'localhost') { ?>
        <link href="<?php echo asset_css() ?>style-admin.less" rel="stylesheet/less" type="text/css"/>
    <?php } else { ?>
        <link href="<?php echo asset_css() ?>style-admin.css" rel="stylesheet" type="text/css"/>
    <?php } ?>

    <link href="<?php echo asset_css() ?>ui-lightness/jquery-ui-1.10.3.custom.css" rel="stylesheet" type="text/css"/>

    <script src="<?php echo asset_js() ?>jquery-1.9.1.min.js"></script>
    <script src="<?php echo asset_js() ?>jquery-ui-1.10.3.custom.min.js"></script>
    <script src="<?php echo asset_js() ?>bootstrap.min.js"></script>

    <?php if ($_SERVER['SERVER_NAME'] == 'localhost') { ?>
        <script src="<?php echo asset_js() ?>less-1.7.0.min.js"></script>
    <?php } ?>

    <script src="<?php echo asset_js() ?>modernizr.custom.29995.js"></script>
    <script src="<?php echo asset_js() ?>respond.min.js"></script>
    <script src="<?php echo asset_js() ?>admin.js"></script>

    <script>
        var admin_path = '<?php echo base_url() ?>';
        var imgpath = '<?php echo asset_url() ?>' + 'images/';
    </script>


    <title>
        <?php if (isset($title)) {
            echo $title . ' | ADMIN Vysledky-loterie.eu';
        } else {
            echo " ADMIN Vysledky-loterie.eu";
        }?>
    </title>
</head>

<body>
<header class="container">
    <div class="logo">
        <a href="<?php echo site_url() . 'admin' ?>"><img src="<?php echo asset_img() ?>logo.png"/></a>
    </div>
    <?php if ($this->flexi_auth->is_admin()) { ?>
        <nav class="navbar navbar-default" role="navigation">
            <div class="container-fluid">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <?php echo anchor(lang('link_account') . '/' . lang('link_edit'), $this->flexi_auth->get_user_username() . ' <span>(' . $this->flexi_auth->get_user_identity
                            () . ')</span>', 'class="navbar-brand" target="_blank"'); ?>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse in" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav">
                        <?php if ($this->flexi_auth->in_group(2)) { ?>
                            <li><?php echo anchor('admin/manage_user_accounts', 'Správa účtov'); ?></li><?php } ?>
                        <li class="dropdown">
                            <?php echo anchor('#', 'Pridaj výsledok lotérie <b class="caret"></b>', array('class' => 'dropdown-toggle', 'data-toggle' => 'dropdown')); ?>
                            <ul class="dropdown-menu">
                                <?php foreach ($types as $type): ?>
                                    <li><?php echo anchor('admin/add_result/' . $type['type_id'], $type['name'] . ' - ' . $type['company']); ?></li>
                                <?php endforeach ?>
                            </ul>
                        </li>
                    </ul>
                    <ul class="nav navbar-nav navbar-right">
                        <li><?php echo anchor('', 'Prejsť na hlavnú stránku', array('target' => '_blank')) ?></li>
                        <?php
                        if ($this->flexi_auth->is_admin()) {
                            echo '<li>' . anchor('admin/logout', 'Odhlásiť sa') . '</li>';
                        }
                        ?>
                    </ul>
                </div>
                <!-- /.navbar-collapse -->
            </div>
            <!-- /.container-fluid -->
        </nav>
    <?php } ?>
</header>