<?php
$logged = $this->flexi_auth->is_logged_in();
$this->load->helper('text');
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
	<meta name="description" content="Rýchle a prehľadné sledovanie výsledkov lotérií v ČR. Jednoduché overovanie úspešnosti podaných tiketov Sportka, Loto, Korunka.">
    <meta name="keywords" content="vysledky loterii, loterie, vysledky, sportka, sazka, loto, fortuna, korunka, chance">
    <meta name="author" content="Erik Beňuš">

    <?php if ($_SERVER['SERVER_NAME'] == 'localhost') { ?>
        <link href="<?php echo asset_css() ?>style.less" rel="stylesheet/less" type="text/css"/>
    <?php } else { ?>
        <link href="<?php echo asset_css() ?>style.css" rel="stylesheet" type="text/css"/>
    <?php } ?>

    <link href="<?php echo asset_css() ?>ui-lightness/jquery-ui-1.10.3.custom.css" rel="stylesheet" type="text/css"/>
    <link href="<?php echo asset_css() ?>jMenu.jquery.css" rel="stylesheet" type="text/css"/>

    <script>
        var imgpath = '<?php echo asset_url() ?>' + 'images/';
    </script>

    <script src="<?php echo asset_js() ?>jquery-1.9.1.min.js"></script>

    <?php if ($_SERVER['SERVER_NAME'] == 'localhost') { ?>
        <script src="<?php echo asset_js() ?>less-1.7.0.min.js"></script>
    <?php } ?>

    <script src="<?php echo asset_js() ?>modernizr.custom.29995.js"></script>
    <script src="<?php echo asset_js() ?>jquery-ui-1.10.3.custom.min.js"></script>
    <script src="<?php echo asset_js() ?>jMenu.jquery.js"></script>
    <script src="<?php echo asset_js() ?>validate.js"></script>
    <script src="<?php echo asset_js() ?>tools.js"></script>

    <!--[if IE]>
    <link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
    <link href="<?php echo asset_css() ?>style-ie.css" rel="stylesheet" type="text/css"/>
    <link href="<?php echo asset_css() ?>jquery.reject.css" rel="stylesheet" type="text/css"/>

    <script src="<?php echo asset_js() ?>jquery.reject.js"></script>

    <script>
        $(function () {
            $.reject({
                reject: { msie6: true, msie7: true },
                header: 'Viete, že Váš internetový prehliadač je zastaraný?',
                paragraph1: 'Váš prehliadač je zastaraný a nie je kompatiblný s touto stránkou. Zoznam najobľúbenejších webových prehliadačov nájdete nižšie.',
                paragraph2: 'Stačí kliknúť na ikonu a dostanete sa na stránku pre stiahnutie',
                closeMessage: '',
                closeLink: 'Zavrieť toto okno',
                closeCookie: true
            });
        });
    </script>
    <![endif]-->

    <?php
    if (isset($assets)) {
        foreach ($assets as $asset) {
            echo $asset;
        }
    }
    ?>

    <title>
        <?php if (isset($title)) {
            echo $title . ' | Vysledky-loterie.eu';
        } else {
            echo "Vysledky-loterie.eu";
        }?>
    </title>
</head>

<body id="<?php echo isset($bodyId) ? $bodyId : 'default' ?>">
<div id="wrap">
    <header>
        <?php if (!$logged) { ?>
            <section id="account" class="alink">
                <div>
                    <?php echo anchor(lang('link_auth'), 'Prihlásiť', 'title="Prihláste sa"'); ?>
                    <span> | </span>
                    <?php echo anchor(lang('link_register_account'), 'Registrovať', 'title="Zaregistrujte sa"'); ?>
                </div>
            </section>
        <?php } else { ?>
            <section id="account-logged" class="alink">
                <div>
                    <span
                        class="right">Vitajte <?php echo my_trim($this->flexi_auth->get_user_username(), 17); ?></span>

                    <div class="fright">
                        <?php echo anchor(lang('link_account'), 'Váš účet', 'title="Váš účet"'); ?>
                        <span> | </span>
                        <?php echo anchor(lang('link_logout'), 'Odhlásiť', 'title="Odhláste sa"'); ?>
                    </div>
                </div>
            </section>
        <?php } ?>
        <div class="clear"></div>
        <div id="logo">
            <a class="iblock" href="<?php echo site_url() ?>"><img src="<?php echo asset_img() ?>logo.png" alt="Vysledky-loterie.eu"/></a>
        </div>
        <nav>
            <div class="alink">
                <ul id="jMenu" class="jMenu">
                    <li><?php echo anchor('', 'Domov', array('title' => "Späť na hlavnú stránku", 'class' => 'fNiv ')); ?></li>
                    <li><?php echo anchor(lang('link_about'), 'O stránke', array('title' => "Informácie o stránke vysledky-loterie.eu", 'class' => 'fNiv ')); ?></li>
                    <li><?php echo anchor(lang('link_ticket'), 'Pridať tiket', array('title' => "Pridať tiket", 'class' => 'fNiv ')); ?>
                        <ul>
                            <li class="arrow"></li>
                            <li><?php echo anchor(lang('link_ticket') . '/' . lang('link_add') . '/1', 'Sportka'); ?></li>
                            <li><?php echo anchor(lang('link_ticket') . '/' . lang('link_add') . '/2', 'Loto'); ?></li>
                            <li><?php echo anchor(lang('link_ticket') . '/' . lang('link_add') . '/3', 'Korunka'); ?></li>
                        </ul>
                    </li>
                    <li><?php echo anchor(lang('link_contact'), 'Napíšte nám', array('title' => "Napíšte nám", 'class' => 'fNiv ')); ?></li>
                </ul>

            </div>
        </nav>
        <div class="clear"></div>
    </header>
    <section id="content" class="main-content">