<?php $this->load->view('templates/user/message', array($message, $error, $info)) ?>

<h1 class="center">Upraviť profil</h1>

<div class="edit-profile">
    <?php echo form_open(current_url(), array('name' => 'form1')); ?>
    <h3>Zmena užívateľského mena</h3>

    <label for="username">Užívateľské meno:</label>

    <div class="input w250">
        <input type="text" id="username" name="update_username"
               value="<?php echo set_value('update_username', $user[$this->flexi_auth->db_column('user_acc', 'username')]); ?>"
            />
    </div>
    <div class="h15"></div>

    <div class="button">
        <input type="submit" name="update_account" id="submit" value="Uložiť"/>
    </div>
    <div class="h15"></div>
    <div class="hr"></div>
    <?php echo form_close(); ?>

    <?php echo form_open(site_url(lang('link_account') . '/' . lang('link_update_email')), array('name' => 'form2')); ?>
    <h3>Zmena e-mailovej adresy</h3>
    <label for="email_address">Nová e-mailová adresa:</label>

    <div class="input w250">
        <input type="text" id="email_address" name="email_address"
               value="<?php echo set_value('email_address', $user[$this->flexi_auth->db_column('user_acc', 'email')]); ?>"/>
    </div>
    <small>
        Na túto adresu príde overovací e-mail.
    </small>
    <div class="h15"></div>

    <div class="button">
        <input type="submit" name="update_email" id="submit" value="Uložiť"/>
    </div>
    <div class="h15"></div>
    <div class="hr"></div>
    <?php echo form_close(); ?>

    <?php echo form_open(current_url(), array('name' => 'form3')); ?>
    <h3>Zmena hesla</h3>
    <label for="current_password">Súčasné heslo:</label>

    <div class="input w250">
        <input type="password" id="current_password" name="current_password"
               value="<?php echo set_value('current_password'); ?>"/>
    </div>
    <div class="h15"></div>

    <label for="new_password">Nové heslo:</label>

    <div class="input w250">
        <input type="password" id="new_password" name="new_password"
               value="<?php echo set_value('new_password'); ?>" class="tooltip_trigger"
               title="Dĺžka hesla musí byť aspoň <?php echo $this->flexi_auth->min_password_length(); ?> znakov."/>
    </div>
    <div class="h15"></div>

    <label for="confirm_new_password">Potvrdiť heslo:</label>

    <div class="input w250">
        <input type="password" id="confirm_new_password" name="confirm_new_password"
               value="<?php echo set_value('confirm_new_password'); ?>"/>
    </div>
    <div class="h15"></div>

    <div class="button">
        <input type="submit" name="change_password" id="submit" value="Uložiť"/>
    </div>
    <div class="h15"></div>
    <div class="hr"></div>
    <?php echo form_close(); ?>

    <?php echo form_open(current_url(), array('name' => 'form4')); ?>
    <h3>Zmena nastavení odosielania e-mailov</h3>

    <label for="mail_prefs">Nastavenie e-mailov:</label>

    <div class="input w250">
        <select name="mail_prefs">
            <option value="1" <?php echo set_select('mail_prefs', 1, $user['email_prefs'] == 1); ?> >
                Po každej kontrole
            </option>
            <option value="2" <?php echo set_select('mail_prefs', 2, $user['email_prefs'] == 2); ?> >
                Iba pri výhre
            </option>
        </select>
    </div>
    <small>
        Nastaví kedy sa majú posielať výsledky automatickej kontroly tiketov. Toto nastavenie je možné nastaviť pre
        každy tiket zvlášť pri zadávaní tiketu.
    </small>
    <div class="h15"></div>

    <div class="button">
        <input type="submit" name="update_prefs" id="submit_prefs" value="Uložiť"/>
    </div>
    <div class="h15"></div>
    <?php echo form_close(); ?>
</div>

<script>
    var validator = new FormValidator('form1', [
        {
            name: 'update_username',
            display: 'Užívateľské meno',
            rules: 'required|min_length[4]|max_length[17]'
        }
    ], function (errors, event) {
        show_val_result(errors, event);
    });

    var validator2 = new FormValidator('form2', [
        {
            name: 'email_address',
            display: 'Nová e-mailová adresa',
            rules: 'required|valid_email|identity_available'
        }
    ], function (errors, event) {
        show_val_result(errors, event);
    });

    var validator3 = new FormValidator('form3', [
        {
            name: 'current_password',
            display: 'Súčasné heslo',
            rules: 'required'
        },
        {
            name: 'new_password',
            display: 'Nové heslo',
            rules: 'required|min_length[<?php echo $this->flexi_auth->min_password_length(); ?>]|max_length[100]|matches[confirm_new_password]'
        },
        {
            name: 'confirm_new_password',
            display: 'Potvrdiť heslo',
            rules: 'required'
        }
    ], function (errors, event) {
        show_val_result(errors, event);
    });

</script>

<div class="back-to-account alink">
    <?php echo anchor(lang('link_account'), '<< Späť na Váš účet', 'title="Späť na Váš účet"'); ?>
</div>