<?php $this->load->view('templates/user/message', array($message, $error, $info)) ?>

<h1 class="center">Registrácia užívateľa</h1>

<?php echo form_open(current_url(), array('name' => 'regform')); ?>
<div class="register">
    <label for="email_address">E-mail:</label>

    <div class="input w250">
        <input type="text" id="email_address" name="register_email_address"
               value="<?php echo set_value('register_email_address'); ?>" class="tooltip_trigger"
               title="Na túto adresu Vám príde aktivačný e-mail."/>
    </div>
    <div class="h15"></div>

    <label for="username">Užívateľské meno:</label>

    <div class="input w250">
        <input type="text" id="username" name="register_username"
               value="<?php echo set_value('register_username'); ?>" class="tooltip_trigger"
               title="Ako Vás máme oslovovať?"
            />
    </div>
    <div class="h15"></div>

    <label for="password">Heslo:</label>

    <div class="input w250">
        <input type="password" id="password" name="register_password"
               value="<?php echo set_value('register_password'); ?>" class="tooltip_trigger"
               title="Dĺžka hesla musí byť aspoň <?php echo $this->flexi_auth->min_password_length(); ?> znakov."/>
    </div>
    <div class="h15"></div>

    <label for="confirm_password">Potvrdiť heslo:</label>

    <div class="input w250">
        <input type="password" id="confirm_password" name="register_confirm_password"
               value="<?php echo set_value('register_confirm_password'); ?>"/>
    </div>
    <div class="h15"></div>

    <div class="button">
        <input type="submit" name="register_user" id="submit" value="Registrovať"/>
    </div>
    <div class="h15"></div>

</div>
<?php echo form_close(); ?>

<script>
    var validator = new FormValidator('regform', [
        {
            name: 'register_email_address',
            display: 'E-mail',
            rules: 'required|valid_email|max_length[100]'
        },
        {
            name: 'register_username',
            display: 'Užívateľské meno',
            rules: 'required|min_length[4]|max_length[17]'
        },
        {
            name: 'register_password',
            display: 'Heslo',
            rules: 'required|min_length[<?php echo $this->flexi_auth->min_password_length(); ?>]|max_length[100]'
        },
        {
            name: 'register_confirm_password',
            display: 'Potvrdiť heslo',
            rules: 'required|matches[register_password]'
        }
    ], function (errors, event) {
        show_val_result(errors, event);
    });
</script>