$(document).ready(function () {

    var oTable = $('#dataTable').dataTable({
        "bProcessing": true,
        "bServerSide": true,
        "sServerMethod": "GET",
        "sAjaxSource": "tickets_ajax",
        "sPaginationType": "full_numbers",
        "iDisplayLength": 10,
        "aLengthMenu": [
            [10, 20, 50, -1],
            [10, 20, 50, "Všetky"]
        ],
        "aaSorting": [
            [0, 'desc']
        ],
        "aoColumns": [
            { "bVisible": true, "bSearchable": true, "bSortable": true, sWidth: "5%" }, //id
            { "bVisible": true, "bSearchable": true, "bSortable": true, sWidth: "10%" }, //lotteria
            { "bVisible": true, "bSearchable": true, "bSortable": true, sWidth: "12%" }, //spolocnost
            { "bVisible": true, "bSearchable": false, "bSortable": true, sWidth: "4%", "mRender": function (data, type, full) { //aktivny
                return data == 1 ? 'Áno' : 'Nie';
            } },
            { "bVisible": true, "bSearchable": false, "bSortable": true, sWidth: "4%", "mRender": function (data, type, full) { //vyherny
                return data == true ? '<span class="win">Áno</span>' : '<span class="loss">Nie</span>';
            } },
            { "bVisible": true, "bSearchable": true, "bSortable": true, sWidth: "28%" }, //pridany
            { "bVisible": true, "bSearchable": true, "bSortable": true, sWidth: "28%" }, //plati od
            { "bVisible": true, "bSearchable": false, "bSortable": false, sClass: "icns" },
            { "bVisible": true, "bSearchable": false, "bSortable": false, sClass: "icns" },
            { "bVisible": true, "bSearchable": false, "bSortable": false, sClass: "icns" }
        ],
        "oLanguage": {
            "sLengthMenu": "Počet tiketov na stránku",
            "sZeroRecords": "Neboli nájdené žiadne tikety",
            "sInfo": "Zobrazuje sa _START_ - _END_ z _TOTAL_ tiketov",
            "sInfoEmpty": "Showing 0 to 0 of 0 records",
            "sInfoFiltered": "(filtrované z celkového počtu tiketov _MAX_)",
            "sProcessing": "načítavam údaje...",
            "sSearch": "Hľadať:",
            "oPaginate": {
                "sFirst": "<<",
                "sNext": "Nasledujúca",
                "sPrevious": "Predchádzajúca",
                "sLast": ">>"
            }
        },
        "fnDrawCallback": function (oSettings) {
            $("a.deleteicon").click(function () {
                if (confirm("Naozaj odstrániť tento tiket?")) {
                    var href = $(this).attr('href');
                    $.get(href, function (data, status) {
                        if (data == '1') {
                            alert("Tiket úspešne vymazaný");
                            oTable.fnDraw();
                        } else {
                            alert("Neexistujúci tiket")
                        }
                    });
                }
                return false;
            });
        }
    }).fnSetFilteringDelay(700);

});